import request from '@/utils/request'
import Vue from 'vue'
// 查询参数列表
export function getMonth (data) {
    return request({
        url: Vue.prototype.$api.financial.getMonth,
        method: 'post',
        data
    })
}

// 查询参数列表
export function onesideHandle (data) {
    return request({
        url: Vue.prototype.$api.financial.onesideHandle,
        method: 'post',
        data
    })
}

// 查询参数列表
export function getOverview (data) {
    return request({
        url: Vue.prototype.$api.financial.overview,
        method: 'post',
        data
    })
}

// 查询参数列表
export function getUnilateral (data) {
    return request({
        url: Vue.prototype.$api.financial.balanceProcessing,
        method: 'post',
        data
    })
}
// 交易详情
export function getdealDetail (data) {
    return request({
        url: Vue.prototype.$api.financial.dealDetail,
        method: 'post',
        data
    })
}

// 查询参数列表
export function getHisCheck (data) {
    return request({
        url: Vue.prototype.$api.financial.his_check,
        method: 'post',
        data
    })
}

// 查询参数列表
export function exports (params) {
    return request({
        url: Vue.prototype.$api.financial.his_check,
        method: 'get',
        params,
        responseType: "blob"
    })
}

// 查询参数列表
export function handleRequest (data) {
    return request({
        url: Vue.prototype.$api.financial.handle_request,
        method: 'post',
        data
    })
}

// 查询参数列表
export function uni_list (data) {
    return request({
        url: Vue.prototype.$api.financial.uni_list,
        method: 'post',
        data
    })
}
